#pragma once

class COlivia;
class CoptiMemo;
#include "sock_sv.h"
/**
 * Clase para ejecución de Olivia en modo multitask EN DESUSO EN VERSIÓN 2.0
 */
class Colv_tasks : public Cescucha_sock_sv

{
public:
	////////////////////////////////////
	//variables
	COlivia			*olv;
	char			path_temp[MAX_PATH];
	char			path_cconj[MAX_PATH];
	char			path_costamb[MAX_PATH];
	char			path_ang[MAX_PATH];
	char			file_iaso[MAX_PATH];
	////////////////////////////////////
	//métodos
	Colv_tasks(COlivia *ool);
	~Colv_tasks(void);

	virtual Cproceso_cliente* crea_cliente(BOOL *pirate);

	void inidirs(char *path_temp);
	BOOL lanza_app(char *appName, char *comline);
	void get_dll_dir(char *dlldir);	
	BOOL lee_cost_amb(Matrix2d<float> &cost_amb);
	BOOL guarda_cost_amb();
};
